INTERFACE
SUBROUTINE AER_BDGTMSS&
 & ( KIDIA , KFDIA , KLON , KLEV, KACTAERO, KWHAT, KNWAVL, KTWAVL, KSTART, KSTEP,&
 & PAPH , PAEROK , PCAERO , PDZ , PO3 , PRHCL , PT ,&
 & PAERMSS, PAERMSST, PAERTAU, PAERTAUT, PAERTAUI, PAERTAUB, PAERTAUA, PAERTAUF, PAERTAUO,&
 & PAEROMGI,PAERASYI, PLISIS , PLISIT ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOEAERLID ,ONLY : NWLID
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KACTAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KWHAT, KSTART, KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KNWAVL, KTWAVL(19)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,0:KLEV) , PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAEROK(KLON,KLEV,KACTAERO), PCAERO(KLON,KLEV,KACTAERO)
REAL(KIND=JPRB) ,INTENT(IN) :: PDZ(KLON,KLEV) , PO3(KLON,KLEV) , PRHCL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERMSS(KLON,KLEV,KACTAERO), PAERTAU(KLON,KLEV,KACTAERO), PAERTAUO(KLON,KLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERMSST(KLON,KACTAERO)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERTAUI(KLON,19), PAEROMGI(KLON,19), PAERASYI(KLON,19), PAERTAUT(KLON,KACTAERO,19)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERTAUA(KLON,19), PAERTAUF(KLON,19), PAERTAUB(KLON,KACTAERO,19)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLISIS(KLON,NWLID,0:KLEV), PLISIT(KLON,NWLID,0:KLEV)
END SUBROUTINE AER_BDGTMSS
END INTERFACE
